[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Re: Freeciv and LibreOffice broken on Stretch-bpo



Thanks! 

Le 11 sept. 2017 07:47, "Rene Engelhard" <rene@debian.org> a écrit :
Hi,

On Sun, Sep 10, 2017 at 12:10:08PM +0200, Julien Aubin wrote:
>    Package libreoffice-kde missing from BPO. Could you please upload it as
>    well ?

libreoffice (1:5.4.1-1) unstable; urgency=medium

  * New upstream release
    - fixes middle click paste (closes: #871588)

  * debian/patches/stop-shipping-mimelnk-desktop-files.diff: as name says
    (closes: #872001)
  * debian/patches/java9.diff: backport Java 9 patch from master

  * debian/rules:
    - install appstream stuff into /usr/share/metainfo. sigh.
    - make -writer-dbgsym recommend -core-dbgsym as it wants some gdb stuff
      from it
    - set UNO_LIBS_DBG_ROOT to fix gdb helper installation for uno-libs3 again
      and make -core-dbgsym recommends uno-libs3-dbgsym (same reason as above)
    - generate and install apparmor profiles
    - be consequent and bump the build-dependencies for the DLP libs when
      we run the tests; based on patch by Rico Tzschichholz
    - run dh_strip_nondeterminism
    - disable -kde and the (unmaintained for LO) oxygen theme.
      Qt4 should go away. See
      https://lists.debian.org/debian-devel-announce/2017/08/msg00006.html
[...]

Read the changelog.

OK, one might argue one can keep it enabled for -backports while disabling
it for unstable uploads but given how buggy it is (see the closed
libreoffice-kde bugs) I decided against it.

Regards,

Rene

Reply to: